appId: com.toughra.ustadmobile2
---
# this test tests that is it possible to delete and re-download a content in library
 # Test parameters needs to provide for this test :
  # 1) TESTFILENAME : provide the content name inside the 'test-files/content' folder
  # 2) TESTRESULTSDIR : ${TESTRESULTSDIR} : provides the path to store test results

- tapOn: "DELETE"
- tapOn: "DELETE"
- extendedWaitUntil:
    visible: "DOWNLOAD"
    timeout: 10000
- takeScreenshot: "${TESTRESULTSDIR}/screenshots/after_deleting_content"
- tapOn: "DOWNLOAD"
- tapOn: "DOWNLOAD"
- extendedWaitUntil:
    visible: "Delete"
    timeout: 10000
- tapOn: "OPEN"
- scroll
- takeScreenshot: "${TESTRESULTSDIR}/screenshots/re-download_content_screen"